# cwl_utils.tests.test_graph_split

Test the CWL $graph document splitter tool.

## Attributes

`URI` |

## Functions

`test_graph_split`(tmp_path) | Confirm that a user provided example produces no exception.
`test_graph_split_offline`(tmp_path) | Confirm that a local provided example produces no exception.
`test_graph_split_json_offline`(tmp_path) | Confirm that a local provided example produces no exception in JSON mode.
`test_graph_split_bad_path`() | Expect an exception when the target directory parent does not exist.
`test_graph_split_complex1`(tmp_path) | Split a more complex graph with SchemaDefRequirement and $import.
`test_graph_split_complex2`(tmp_path) | Split another complex graph with SchemaDefRequirement and $import.

## Module Contents

cwl_utils.tests.test_graph_split.URI = 'https://gist.githubusercontent.com/altairwei/6a0097db95cad23de36f825ed3b9f4b0/raw/83f332931c3093...

cwl_utils.tests.test_graph_split.test_graph_split(tmp_path)

  Confirm that a user provided example produces no exception.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_graph_split.test_graph_split_offline(tmp_path)

  Confirm that a local provided example produces no exception.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_graph_split.test_graph_split_json_offline(tmp_path)

  Confirm that a local provided example produces no exception in JSON mode.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_graph_split.test_graph_split_bad_path()

  Expect an exception when the target directory parent does not exist.

  Return type:

    None

cwl_utils.tests.test_graph_split.test_graph_split_complex1(tmp_path)

  Split a more complex graph with SchemaDefRequirement and $import.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_graph_split.test_graph_split_complex2(tmp_path)

  Split another complex graph with SchemaDefRequirement and $import.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None